    <h2>
        <span>PIC ROLE</span>
        <button class="btn btn-primary float-right jh-create-entity create-purchasing"
            [routerLink]="['/pic-role-new']">
            <span class="fa fa-plus"></span>
            <span class="hidden-sm-down">
                Buat Data PIC Baru
            </span>
        </button>
    </h2>
    <jhi-alert></jhi-alert>
    <div class="row">
        <div class="col-sm-12">
            <form name="searchForm" class="form-inline">
                <div class="input-group w-100 mt-3">
                    <input type="text" class="form-control" [(ngModel)]="currentSearch" id="currentSearch"
                        name="currentSearch" placeholder="{{ 'mpmApp.purchasing.home.search' | translate }}">
                    <button class="input-group-addon btn btn-info" (click)="search(currentSearch)">
                        <span class="fa fa-search"></span>
                    </button>
                    <button class="input-group-addon btn btn-danger" (click)="clear()" *ngIf="currentSearch">
                        <span class="fa fa-trash-o"></span>
                    </button>
                </div>
            </form>
        </div>
    </div>
    <br />
    <p-dataTable 
        [value]="picRoles" 
        [editable]="true" 
        [rows]="itemsPerPage" 
        [paginator]="true" 
        [pageLinks]="5"
        [rowsPerPageOptions]="[10,15,20]" 
        [totalRecords]="totalItems" 
        [responsive]="true" 
        [lazy]="true"
        row="itemsPerPage" 
        totalRecords="totalItems" 
        dataKey="idPic" 
        expandableRows="false"
        rowHover="true">
        <p-header>
        </p-header>
        <p-column header="No" [style]="{'width': '70px', 'text-align': 'center'}">
            <ng-template let-rowIndex="rowIndex" pTemplate="body">
                {{rowIndex + 1}}
            </ng-template>
        </p-column>
        <p-column header="Nama PIC">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.name}}
            </ng-template>
        </p-column>
        <p-column header="Type Barang">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.ket}}
            </ng-template>
        </p-column>
        <p-column header="Tanggal Mulai Aktif">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.dtFrom | date:'dd-MM-yyyy'}}
            </ng-template>
        </p-column>
        <p-column header="Tanggal Aktif sampai">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.dtThru | date:'dd-MM-yyyy'}}
            </ng-template>
        </p-column>
        <!-- <p-column header="Action" [style]="{'width': '150px', 'text-align': 'center'}">
        </p-column> -->
        <ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
        </ng-template>
    </p-dataTable>
<p-confirmDialog></p-confirmDialog>